! 1873, Harz von Klaus Kiermeier
! [TEST-IMPLEMENTIERUNG] Korrekturen notwendig (siehe 1873.TXT)
! E.Kinast 18.09.2011 nach der deutschen Regel von 2008 und den Ergnzungen vom 2011

#ifndef V1873   ! Falls es keine 1873-Variante ist --> Ende
 #end
#endif

! Definition von Attributen/Bitmasken

#define ENDOFGAME=1; CLOSE=2; ORANGE=4; IGMHE=8

###############################################################################
###############################################################################
!

@ALG ! Allgemeine Parameter, mssen als erstes definiert werden
        AA 12                           ! nur aktive AG anzeigen, Platz fr 12 reservieren
        ED 5                            ! kleinste Einheit Dividende
        EG 1                            ! kleinste Einheit fuer Gesellschaften
        E  <7>                          ! Spielende nach jeder OR testen
        G  2100 1400 1050 840           ! Spielerstartkapital bei 2,3,4,5 Spielern (siehe S)
        J  1873                         ! Startjahr
        K  "# M.",100000                ! Gesamtkapital 100000 ???
        KT 100,200,300,9999,9999        ! Kursnderung beim Schtten (max. 3 Felder)
        KV *                            ! Kurs sinkt bei Verkauf beliebig
        L  0,0,0,0                      ! Felder loeschen -> nie
        LH 1                            ! Privater Lokhandel mglich ab Phase 1
        LR <0,1,4>                      ! Lokrckgabe mglich, immer, kostenlos
        MA <0:2>                        ! Verkauf erhlt AR, nach Kauf ist Verkauf mglich
                                        ! gerade gekaufte Aktie nicht verkaufen
                                        ! also wie: 1.verkaufen 2.kaufen
        N  1 1 2 2 3                    ! Anzahl OR pro AR
        P  99                           ! Papierlimit je nach Spielerzahl (3-5)
        RE 1,h,h,0,0,0,0,<10>,50,<11>   ! Recht 50 Mark Einnahmen in jeder OR
        S  2-5                          ! Spieleranzahl
        T "1873, Harz"                  ! Titel
        TP -gelb- -gelb- -grn- -grn- -braun- -grau-   ! Phasen (Anzeige)
        PK 1                            ! Pppelkauf mglich
        R  1                            ! Reihenfolge in OR nach Kurs (fifo)
        UK                              ! unverkaufte Aktien zum Kurswert
        XZ 1,50,100,150                 ! Zusatzausgaben 1 Geld
        XZ 1,"Hgel|Bergland|Gebirge"   ! Zusatzausgaben 1 Texte
        XZ 1,50,100,150                 ! Zusatzausgaben 1 Geld
        XZ 1,"Hgel|Bergland|Gebirge"   ! Zusatzausgaben 1 Texte

        ZV 2                            ! Voreinstellung Zeitklasse Schnell
        ZK 1,"Blitz"                    ! Zeiteinstellungen Blitz
                ZA 40 40 70 100         ! Zeitgutschrift pro AR
                Z0 20 20 30 40          ! Zeitgutschrift pro OR Werke
                Z1 30 30 40 50          ! Zeitgutschrift pro OR Werk-AG
                Z2 40 40 50 60          ! Zeitgutschrift pro OR Bahn-AG ohne Lok
                Z3 50 50 80 100         ! Zeitgutschrift pro OR Bahn-AG mit Lok
                ZB 300                  ! Zeitguthaben bei Start
                ZU 2,1000,3             ! Abzug 3, sofort vom Vermoegen
        ZK 2,"Schnell"                  ! Zeiteinstellungen Schnell
                ZA 50 50 90 120         ! Zeitgutschrift pro AR
                Z0 30 30 40 50          ! Zeitgutschrift pro OR Werke
                Z1 40 40 50 60          ! Zeitgutschrift pro OR Werk-AG
                Z2 50 50 60 70          ! Zeitgutschrift pro OR Bahn-AG ohne Lok
                Z3 60 60 100 120        ! Zeitgutschrift pro OR Bahn-AG mit Lok
                ZB 480                  ! Zeitguthaben bei Start
                ZU 2,1000,3             ! Abzug 3, sofort vom Vermoegen
        ZK 3,"Normal"                   ! Zeiteinstellungen Normal
                ZA 60 60 110 140                ! Zeitgutschrift pro AR
                Z0 40 40 50 60          ! Zeitgutschrift pro OR Werke
                Z1 50 50 60 70          ! Zeitgutschrift pro OR Werk-AG
                Z2 60 60 70 80          ! Zeitgutschrift pro OR Bahn-AG ohne Lok
                Z3 70 70 120 140        ! Zeitgutschrift pro OR Bahn-AG mit Lok
                ZB 660                  ! Zeitguthaben bei Start
                ZU 2,1000,2             ! Abzug 2, sofort vom Vermoegen
        ZK 4,"Langsam"                  ! Zeiteinstellungen Langsam
                ZA 70 70 130 180                ! Zeitgutschrift pro AR
                Z0 50 50 70 80          ! Zeitgutschrift pro OR Werke
                Z1 60 60 70 90          ! Zeitgutschrift pro OR Werk-AG
                Z2 70 70 80 100         ! Zeitgutschrift pro OR Bahn-AG ohne Lok
                Z3 80 80 140 180        ! Zeitgutschrift pro OR Bahn-AG mit Lok
                ZB 900                  ! Zeitguthaben bei Start
                ZU 2,1000,1             ! Abzug 1, sofort vom Vermoegen

###############################################################################
###############################################################################
!

@LOKS ! Loks ( maximal 25 Loks )

  {1}   1       #1   $100 P1 T0 TG1
  {2}   1M M1   #0     $0 P1 A
  {3}   2       #10  $250 P2 T0 TG1-3
  {4}   2M M2   #0   $150 P2 A
  {5}   2W      #*    $50    V2
  {6}   3       #7   $450 P3 T0 TG1-6
  {7}   3M M3   #0   $300 P3 A
  {8}   3W      #*   $100    V3
  {9}   4       #3   $750 P4 T0 TG1-9
 {10}   4M M4   #0   $500 P4 A
 {11}   4W      #*   $150    V4
 {12}   5       #*  $1200 P5 T0 TG1-12
 {13}   5M M5   #0   $800 P5 A
 {14}   5W      #*   $200    V5
 {15}   D       #*   $250 P6 V5
 {16}   L       #0   $0



###############################################################################
###############################################################################
!

@PRIV ! Privatbahnen ( maximal 31 Privatbahnen; haben einen Index von 1- )

  . #   $  0                            ! Preis 0
  . #   HP 1-6                          ! Handelbar an Pool in Phase 1-6
  . #   MP <0:3>                        ! Rckgabe in AR/OR jederzeit mglich
  . #   N  0                            ! zhlt nicht als Papier
  . #   VP 0                            ! Verkaufspreis an Pool 0

  {1}   h HBE   "Konzession HBE [100]"  TY1,2       S0,<2>      ! Konzession
        g GHE   "Konzession GHE [100]"  TY1,3       S0,<3>      ! verfgbar ab Phase 2
        k KEZ   "Konzession KEZ [100]"  TY1,4   V2  S0,<4>      ! schliet bei Lokkauf
        n NWE   "Konzession NWE [100]"  TY1,5   V2  S0,<5>
  {5}   s SHE   "Konzession SHE [100]"  TY1,6   V2  S0,<6>
        w WBE   "Konzession WBE [100]"  TY1,7   V3  S0,<7>
  {6}   q QLB   "Konzession QLB [100]"  TY1,8   V3  S0,<8>

###############################################################################
###############################################################################
!

@KLB ! Kleinbahnen ( maximal 31 Kleinbahnen; haben einen Index von 1- )

  . #   $  0                    ! Preis
  . #   AD 2,2                  ! Auszahlung fr Spieler und Lokalbahn
  . #   D  50                   ! halb schtten
  . #   L  2                    ! Loklimit 2 (Maschine+Werklok)
  . #   LB 2                    ! 1-er Maschine bei Start
  . #   LO <4>                  ! ohne Lok kein Einfahrergebnis
  . #   LM <2,4,5,7,8,10,11,13,14>      ! zulssige Loks (nur Maschinen und Werkloks)
  . #   MS <0:3>                ! Schlieung immer mglich
  . #   SP 1-6                  ! Schlieung in Phase 1-6 mglich
  . #   XA 1,-1                 ! Sonderausgaben Liste 1 vor dem Fahren
  . #   Z  0                    ! verwendete Zeitskala

        1  H1 "(H1) Knigshtte [110]"
        2  W2 "(W2) Wurmberg [120]"
        3  W3 "(W3) Silberhtte [130]"
        4  H4 "(H4) Httenrode [140]"
        5  H5 "(H5) Braunesumpf [150]"
        6  H6 "(H6) Rbeland [160]"
        7  W7 "(W7) Lindenberg [170]"
        8  W8 "(W8) Netzkater [180]"
        9  W9 "(W9) Wieda [190]"
        A  H10 "(H10) Elbingerode [200]"
        B  H11 "(H11) Tanne [220]"
        C  H12 "(H12) Blankenburg [240]"
        D  W13 "(W13) Harzgerode [260]"
        E  H14 "(H14) Zorge [280]"
        F  W15 "(W15) Thale [300]"

###############################################################################
###############################################################################
!

@AG ! Aktiengesellschaften ( maximal 31 AG's; haben einen Index von 1- )

! normale Bahn-AG
  . #   A  10                   ! Limit Spieler
  . #   AA 1                    ! Gesellschaft wird angezeigt
  . #   AD 3,0,0                ! Div. fr Spieler aufrunden, kein Init-/Poolcash
! . #   AH 1                    ! Gesellschaft kann halb auszahlen - ber Sondereinnahmen!
  . #   B  (CLOSE)              ! Schliefeld (technisch)
  . #   D  1,1                  ! Direktorenaktie keine Doppelaktie, erstes Pap.
  . #   DV 4                    ! Direktorenaktie anteilig verkaufbar
  . #   FL <7>                  ! Verkauf von nicht operierten AG bringt weniger
  . #   GA 2                    ! Geld pro verkaufter Aktie zum Kurswert
! . #   GK 500                  ! Geldkorrektur
  . #   KS 1,2                  ! Kauf von 1-2 Anteilen beim Start einer AG
  . #   KX 5,3,3,1,1            ! X-Koordinaten der Startkurse
  . #   KY 10,5,8,4,7           ! Y-Koordinaten der Startkurse
  . #   L  8                    ! Loklimit je nach Phase (maximal 8)
  . #   LM <1,3,5,6,8,9,11,12,14,15>    ! zulssige Loks (keine Maschinen)
  . #   LO <0>                  ! Lokzwang, Dialog
  . #   MM 0                    ! Markermodus nach Liste MK
  . #   MK 100                  ! Kosten Pppel
! . #   N5                      ! 5 Aktien -> Korrekturmodus
  . #   NM (ORANGE)             ! dient nur der Markierung
  . #   Q  1                    ! AG startet mit einer Aktie (Regel 50%)
  . #   SE 0,(ENDOFGAME),0      ! Spiel endet bei Kurs 1000 nach Ende der Runde
  . #   SM 5                    ! Sondereinnahmen kleinste Einheit
  . #   SO 2                    ! Sondereinnahmen mit dem Fahren
  . #   XA 1,-1                 ! Sonderausgaben Liste 1 vor dem Fahren
  . #   Z  2,3                  ! verwendete Zeitskala ohne und mit Loks

  {1}   s MHE   "Magdeburg-Halberstdter"       MN 0,0  SN-1 ST2,1 FL<8> L1 LB1 N10 KS1 KX1 KY7 Z0 \
                                                        IG(IGMHE),7 AA1
  {2}   t HBE   "Halberstadt-Blankenburger"     MN 12,2  SN-1 ST2,1 ! 12 Pppel, 2 gelegt
        u GHE   "Gernrode-Harzgeroder"          MN 9,2   SN-1 ST2,1 ! Start ab Phase 1
        v KEZ   "Kleinbahn Ellrich-Zorge"       MN 6,2   SN-1 ST2,2
  {5}   x NWE   "Nordhausen-Wernigeroder"       MN 9,3   SN-1 ST2,2
        y SHE   "Sdharzeisenbahn"              MN 6,2   SN-1 ST2,2
        z WBE   "Wernigerode-Blankenburger"     MN 6,2   SN-1 ST2,3
  {8}   Z QLB   "Quedlinburger Kleinbahn"       MN 6,1   SN-1 ST2,3 LB 16

! Werk-AG
! . #   GK 10                   ! Geld beim Start korrigieren
  . #   KS 1                    ! Kauf von einem Anteil beim Start einer AG
  . #   KX 5,3,3,3,3,3,3,3      ! X-Koordinaten der Startkurse
  . #   KY 11,4,5,6,7,8,9,10    ! Y-Koordinaten der Startkurse
  . #   LB 2,2                  ! 1er-Maschine bei Start
  . #   LM <2,4,5,7,8,10,11,13,14>      ! zulssige Loks (nur Maschinen und Werkloks)
  . #   MN 0,0                  ! 0 Pppel
! . #   N  2                    ! 2 Aktien -> Korrekturmodus
  . #   ST 2,1                  ! Start ab Phase 1
  . #   Z  1                    ! verwendete Zeitskala

  {9}   H HW    "Harzer Werke"  ! RE<1> Recht 1 = erhlt je Runde 50 Mark - deaktiviert
 {10}   a CW    "Concordia"
        b MW    "Montania"
 {12}   c SW    "Schachtbau"

  . #   KX 3,3,3,1,1,1,1,1      ! X-Koordinaten der Startkurse
  . #   KY 9,10,11,4,5,6,7,8    ! Y-Koordinaten der Startkurse
 {13}   d UW    "Union"

###############################################################################
###############################################################################
!

@STRT ! Startpaket (muss nach PRIV, KLB und AG definiert werden)
        V* GM5          ! frei
        P10,100,<2>

  #ifdef A200
- 1+ $310, 2+ $320, 3+ $330, 4+ $340, 5+ $350, 6+ $360, 7+ $370, 8+ $380, 9+ $390, A+ $400, B+ $420, C+ $440, D+ $460, E+ $480, F+ $500
- h+ $300, g+ $300
  #elifdef A120
- 1+ $230, 2+ $240, 3+ $250, 4+ $260, 5+ $270, 6+ $280, 7+ $290, 8+ $300, 9+ $310, A+ $320, B+ $340, C+ $360, D+ $380, E+ $400, F+ $420
- h+ $220, g+ $220
  #else
- 1+ $210, 2+ $220, 3+ $230, 4+ $240, 5+ $250, 6+ $260, 7+ $270, 8+ $280, 9+ $290, A+ $300, B+ $320, C+ $340, D+ $360, E+ $380, F+ $400
- h+ $200, g+ $200
  #endif

###############################################################################
###############################################################################
!

@KURS ! Kurstabelle
180 .  330 . 610 . 1000 . 120 . 0
170 .  300 . 570 . 950  .   . .
160 .  280 . 530 . 900  . 130
150 .  260 . 490 . 850  .   . . 140
140 .  240 . 450 . 800  . 150 . 
130 .  220 . 420 . 750  .   . . 160 
120 .  200 . 390 . 700  . 170 . 
110 .  190 . 360 . 650  .   . . 180 
100 .  180 . 330 . 610  . 190 .  
 85 .  170 . 300 . 570  .   . . 200
 70 .  160 . 280 . 530  . 220 
 50 .  150 . 260 . 490  .   . . 240

###############################################################################
###############################################################################
!

@ATTR ! Attribute der Kurstabelle

        S (ENDOFGAME),  w==1000
        S (ORANGE),     (x<6 && y<4) || (y==12 && w>50)
        S (CLOSE),      w==0

        F (ENDOFGAME),(ORANGE),(CLOSE)  ! Anzeige gelb, orange, braun

###############################################################################
###############################################################################
    ##                       Fensterdefinitionen                ##
###############################################################################
###############################################################################
!

#IFNDEF KEINE-FENSTER
  @ENDE
  #include [W1873]      !  [] --> mit Fehlermeldung, falls nicht vorhanden
#ENDIF ! KEINE-FENSTER

###############################################################################
###############################################################################
    ##                             E N D E                              ##
###############################################################################
###############################################################################
@ENDE

